#!/usr/local/tcl8.4/bin/tclsh8.4
#
# example.tcl
# Copyright (c) 2001, Todd J Martin
#
#  This is an example of how to use the tclpcap extension to read and print
#  packets.

lappend auto_path /home/todd/tclpcap/lib/tclpcap
package require Pcap

set device examplePcap.cap

proc printPacket {pcapChannel} {
	global count$pcapChannel
	if {[set count$pcapChannel] == 20} {
		global closeChannel$pcapChannel
		set closeChannel$pcapChannel 1
		return
	}
	incr count$pcapChannel
	set packet [pcap::getPacket $pcapChannel]
	pcap::printPacket $packet
}
set p [pcap::pcap_open -offline $device]
set count$p 0
fconfigure $p -blocking 0
pcap::savefile $p on
puts "$p options are \"[fconfigure $p]\""
fileevent $p readable "printPacket $p"
vwait closeChannel$p
close $p
